Description
Implement the following aspects which are specified in [[Conversion]]
    -  Implement something like ConflictFreeConverterSet
    -  Use it in
        -  ParticipantConfig
        -  Connectors
    -  Converter options should dispatch on implementation language

Associated revisions
Revision bdf3bce2 - 05/20/2011 01:58 AM - J. Moringen
Removed obsolete code in src/rsb/converter/Repository.h
refs #301
    -  src/rsb/converter/Repository.h: removed obsolete methods

  getConverterByWireSchema, getConverterByDataType and related members
  wireSchemaMap, dataTypeMap; registerConverter now accepts ambiguous
  converters; fixed minor nomenclature confusions

Revision 20e058b3 - 05/20/2011 02:50 PM - J. Moringen
Added class UnambiguousConverterMap
refs #301
    -  src/CMakeLists.txt: added file src/rsb/converter/UnambiguousConverterMap.h
    -  src/rsb/converter/UnambiguousConverterMap.h: new file; contains

  class UnambiguousConverterMap which manages an unambiguous
  wireSchema -> converter or dataType -> converter mapping

Revision 133221db - 05/20/2011 02:52 PM - J. Moringen
Dummy parameter in Converter constructor (for distinct signatures)
refs #301
    -  src/rsb/converter/Converter.h: added a boolean dummy parameter to

  Converter constructor which would otherwise be shadowed by another
  constructor for certain wire-types

Revision d173bc4e - 05/20/2011 07:42 PM - J. Moringen
Implementation of new converter selection strategy
fixes #301
    -  src/CMakeLists.txt: removed files

  src/rsb/transport/ConverterSelectingInConnector.h and
  src/rsb/transport/ConverterSelectingOutConnector.h

    -  src/rsb/Factory.{h,cpp}: moved ambiguity checks for converters into
  Factory from ConverterSelecting{In,Out}Connector
    -  src/rsb/ParticipantConfig.cpp: accept new converter selection
  configuration options

    -  src/rsb/converter/Repository.h: added functions to construct
  unambiguous converter sets for serialization and deserialization

    -  src/rsb/transport/ConverterSelectingConnector.h: simplified since
  extensive lookups are not required at this point anymore

    -  src/rsb/transport/ConverterSelectingInConnector.h: removed; now
  handled by Factory

    -  src/rsb/transport/ConverterSelectingOutConnector.h: likewise
    -  src/rsb/transport/spread/InConnector.{h,cpp}: converter map is now

  mandatory
    -  src/rsb/transport/spread/OutConnector.{h,cpp}: likewise
    -  test/rsb.conf-for-smoke-test: converted to new converter selection

  configuration option names
    -  test/rsb.conf-semantic-errors-6: likewise
    -  test/rsb/transport/spread/SpreadConnectorTest.cpp: supply converter

  maps explicitly as required by new interface

History
#1 - 05/18/2011 01:30 PM - J. Moringen
- Subject changed from Adapt converter selection according [[Conversion]] to Adapt converter selection

#2 - 05/20/2011 07:42 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r1064.
